DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | Public Attributes | List of all members
IODImageReference Class Reference

Class representing a reference to an image. More...

Inheritance diagram for IODImageReference:

## Public Member Functions
| IODImageReference ()
| Default constructor, uses level STUDY.
| IODImageReference (const MAX_LEVEL level)
| Constructor allowing to set reference level. More...
| IODImageReference (const OFString &patientID, const OFString &studyUID, const OFString &seriesUID, const OFString &sopInstanceUID, const OFString &sopClassUID, const OFVector< Uint32 > &refFrameNumbers)
| Convenience constructor setting reference data including frame numbers. More...
| IODImageReference (const OFString &patientID, const OFString &studyUID, const OFString &seriesUID, const OFString &sopInstanceUID, const OFString &sopClassUID)
| Convenience constructor setting reference data without frame numbers. More...
virtual IODReference * | clone () const
| Get (deep) clone copy of this reference. More...
virtual TYPE | getType () const
| Get type (always returns IMAGE type) More...
virtual OFBool | readFromFile (const OFString &filename, const OFVector< Uint32 > frameNumbers)
| Initialize reference from given file. More...
virtual | ~IODImageReference ()
| Destructor.
virtual void | clear ()
| Clear reference data.
virtual OFBool | readFromFile (const OFString &filename)
| Initializes this reference from given file, i.e. More...
Public Member Functions inherited from IODReference
| IODReference ()
| Constructor, creates empty reference, default level is "STUDY".
| IODReference (const MAX_LEVEL level)
| Constructor, creates empty reference with specified level. More...
virtual | ~IODReference ()
| Destructor.
virtual OFCondition | check () const
| Check whether this reference is valid, i.e. More...
virtual OFString | toString () const
| Returns reference as a one line string. More...
virtual OFBool | readFromFile (const OFString &filename)
| Initializes this reference from given file, i.e. More...
virtual OFBool | readFromItem (DcmItem &item)
| Initializes this reference from given item, i.e. More...

## Public Attributes
OFVector< Uint32 > | m_ReferencedFrameNumber
| Referenced frame numbers.
Public Attributes inherited from IODReference
OFString | m_PatientID
| Patient ID.
OFString | m_StudyInstanceUID
| Study Instance UID.
OFString | m_SeriesInstanceUID
| Series Instance UID.
OFString | m_SOPClassUID
| SOP Class UID.
OFString | m_SOPInstanceUID
| SOP Instance UID.
MAX_LEVEL | m_Level
| Maximum level this reference refers to. More...

## Additional Inherited Members
Public Types inherited from IODReference
enum | MAX_LEVEL { LEVEL_INSTANCE , LEVEL_SERIES , LEVEL_STUDY , LEVEL_PATIENT }
| The maximum DICOM entity level that this reference refers to. More...
enum | TYPE { GENERIC , IMAGE , SEGMENT }
| Type of reference. More...

## Detailed Description

Class representing a reference to an image.

Compared to IODReference, this class also allows to provide references to specific frames

## Constructor & Destructor Documentation

## ◆ IODImageReference() [1/3]

IODImageReference::IODImageReference | ( | const MAX_LEVEL | level | ) |

Constructor allowing to set reference level.

Parameters

  level | The maximum level this reference should deal with

## ◆ IODImageReference() [2/3]

IODImageReference::IODImageReference | ( | const OFString & | patientID,
|  | const OFString & | studyUID,
|  | const OFString & | seriesUID,
|  | const OFString & | sopInstanceUID,
|  | const OFString & | sopClassUID,
|  | const OFVector< Uint32 > & | refFrameNumbers
| ) |  |

Convenience constructor setting reference data including frame numbers.

Parameters

  patientID | Patient ID
  studyUID | Study Instance UID
  seriesUID | Series Instance UID
  sopInstanceUID | SOP Instance UID
  sopClassUID | SOP Class UID
  refFrameNumbers | Referenced Frame Numbers

## ◆ IODImageReference() [3/3]

IODImageReference::IODImageReference | ( | const OFString & | patientID,
|  | const OFString & | studyUID,
|  | const OFString & | seriesUID,
|  | const OFString & | sopInstanceUID,
|  | const OFString & | sopClassUID
| ) |  |

Convenience constructor setting reference data without frame numbers.

Parameters

  patientID | Patient ID
  studyUID | Study Instance UID
  seriesUID | Series Instance UID
  sopInstanceUID | SOP Instance UID
  sopClassUID | SOP Class UID

## Member Function Documentation

## ◆ clone()

virtual IODReference* IODImageReference::clone | ( |  | ) | const
| virtual

Get (deep) clone copy of this reference.

Returns
  Returns deep copy of this reference, or NULL in case of error

Reimplemented from IODReference.

## ◆ getType()

virtual TYPE IODImageReference::getType | ( |  | ) | const
| inline virtual

Get type (always returns IMAGE type)

Returns
  Returns IMAGE type

Reimplemented from IODReference.

## ◆ readFromFile() [1/2]

virtual OFBool IODReference::readFromFile

Initializes this reference from given file, i.e.

extracts all identifiers up to the level defined for this reference.

Parameters

  filename | The file to read from

Returns
  Returns OFTrue if reference could be read, otherwise OFFalse

## ◆ readFromFile() [2/2]

virtual OFBool IODImageReference::readFromFile | ( | const OFString & | filename,
|  | const OFVector< Uint32 > | frameNumbers
| ) |  |
| virtual

Initialize reference from given file.

Parameters

  filename | The file to read from
  frameNumbers | The frame numbers to reference. It is not checked (so far) whether the referenced image file actually contains such frames. First frame is denoted by 1.

Returns
  OFTrue if initialization was successful, OFFalse otherwise

The documentation for this class was generated from the following file:

- dcmiod/include/dcmtk/dcmiod/iodreferences.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1